ConfigSchemaProvider (Hyperic HQ Plugin API)
Keywords: org.hyperic.util.config.ConfigSchemaProvider interface

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.util.config
Interface ConfigSchemaProvider

All Known Subinterfaces:
  InstallerConfigSchemaProvider

    public interface ConfigSchemaProvider

A simple interface that allows us to abstract where the schema comes from.

Method Summary
`java.lang.String` | `getCompletionText(ConfigResponse config)`
`ConfigSchema` | `getSchema(ConfigResponse previous, int iterationCount)`

Method Detail

### getSchema

    ConfigSchema getSchema(ConfigResponse previous,
                           int iterationCount)
                           throws EarlyExitException

  Parameters:
    `iterationCount` - The iterationCount. A schema provider can return multiple schemas. If this method returns null, then that means there are no more schemas to provide.
    `previous` - The responses to the previous ConfigSchema. If the iterationCount is zero, then this value should be null - or if not it should be ignored.
  Returns:
    A ConfigSchema from this provider, or null if there are no more schemas.
  Throws:
    `EarlyExitException` - If the schema provider wants to bail out early from the entire config process.

### getCompletionText

    java.lang.String getCompletionText(ConfigResponse config)

  Parameters:
    `config` - The complete config response for this schema.
  Returns:
    Informative text about the result of the config operations. If there is no such text available, this method may return null.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.